Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.aggregate
Interface ValueAggregator

All Known Implementing Classes:
  DoubleValueSum, LongValueMax, LongValueMin, LongValueSum, StringValueMax, StringValueMin, UniqValueCount, ValueHistogram

    public interface ValueAggregator

This interface defines the minimal protocol for value aggregators.

Method Summary
`void` | `addNextValue(Object val)` add a value to the aggregator
`ArrayList` | `getCombinerOutput()`
`String` | `getReport()`
`void` | `reset()` reset the aggregator

Method Detail

### addNextValue

    void addNextValue(Object val)

  add a value to the aggregator

  Parameters:
    `val` - the value to be added

### reset

    void reset()

  reset the aggregator

### getReport

    String getReport()

  Returns:
    the string representation of the agregator

### getCombinerOutput

    ArrayList getCombinerOutput()

  Returns:
    an array of values as the outputs of the combiner.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation